# DataExchange
TKIGES
IGESSolid

# IGESSolid_BooleanTree Class Reference

defines BooleanTree, Type <180> Form Number <0>
in package IGESSolid
The Boolean tree describes a binary tree structure
composed of regularized Boolean operations and operands,
in post-order notation.

`#include <IGESSolid_BooleanTree.hxx>`

Inheritance diagram for IGESSolid_BooleanTree:

[legend]

## Public Member Functions

Standard_EXPORT | IGESSolid_BooleanTree ()
Standard_EXPORT void | Init (const Handle(IGESData_HArray1OfIGESEntity)&operands, const Handle(TColStd_HArray1OfInteger)&operations)
| This method is used to set the fields of the class BooleanTree - operands : Array containing pointer to DE of operands - operations : Array containing integer type for operations .
Standard_EXPORT Standard_Integer | Length () const
| returns the length of the post-order list
Standard_EXPORT Standard_Boolean | IsOperand (const Standard_Integer Index) const
| returns True if Index'th value in the post-order list is an Operand; else returns False if it is an Integer Operations raises exception if Index < 1 or Index > Length()
Standard_EXPORT Handle_IGESData_IGESEntity | Operand (const Standard_Integer Index) const
| returns the Index'th value in the post-order list only if it is an operand else returns NULL raises exception if Index < 1 or Index > Length()
Standard_EXPORT Standard_Integer | Operation (const Standard_Integer Index) const
| returns the Index'th value in the post-order list only if it is an operation else returns 0 raises exception if Index < 1 or Index > Length()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_IGESData_HArray1OfIGESEntity | theOperands
Handle_TColStd_HArray1OfInteger | theOperations

## Constructor & Destructor Documentation

Standard_EXPORT IGESSolid_BooleanTree::IGESSolid_BooleanTree | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESSolid_BooleanTree::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESSolid_BooleanTree::Init | ( | const Handle(IGESData_HArray1OfIGESEntity)& | operands,
|  | const Handle(TColStd_HArray1OfInteger)& | operations
| ) |

Standard_EXPORT Standard_Boolean IGESSolid_BooleanTree::IsOperand | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT Standard_Integer IGESSolid_BooleanTree::Length | ( |  | ) | const

Standard_EXPORT Handle_IGESData_IGESEntity IGESSolid_BooleanTree::Operand | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT Standard_Integer IGESSolid_BooleanTree::Operation | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Handle_IGESData_HArray1OfIGESEntity IGESSolid_BooleanTree::theOperands `[private]`

Handle_TColStd_HArray1OfInteger IGESSolid_BooleanTree::theOperations `[private]`

The documentation for this class was generated from the following file:

- IGESSolid_BooleanTree.hxx